Logo of SermonSpeaker Extension Claim

Login Form

SermonSpeaker 5.9.1 is released.
Minimum Joomla! Version: 3.8.0

Features

  • Translation moved from Transifex to Crowdin. Removed support for language packs.
  • Completely translated into Tamil

Fixes

  • Fixing several typos and inconsistencies in language strings
  • Fixing some PHP warnings